package kr.co.vividnext.sodalive.audio_content.playlist.detail

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import com.google.android.material.bottomsheet.BottomSheetDialogFragment
import kr.co.vividnext.sodalive.R

class AudioContentPlaylistDetailNotifyFragment(
    private val onClickDelete: () -> Unit
) : BottomSheetDialogFragment() {
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View = inflater.inflate(
        R.layout.fragment_audio_content_playlist_detail_notify,
        container,
        false
    )

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        view.findViewById<TextView>(R.id.tv_delete).setOnClickListener {
            onClickDelete()
            dialog?.dismiss()
        }
    }
}
